Bug 79372 - xmms with esd occasionally stops playing playlist
xmms with esd occasionally stops playing playlist
Status: CLOSED DUPLICATE of bug 64069
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-10 16:28 EST by Bill Mill
Modified: 2014-03-16 22:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-10 16:35:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error screenshot (8.15 KB, image/png)
2002-12-10 16:32 EST, Bill Mill
no flags Details
soundcard detection messages in /var/log/messages (705 bytes, text/plain)
2002-12-10 16:35 EST, Bill Mill
no flags Details

  None (edit)
Description Bill Mill 2002-12-10 16:28:11 EST
Description of Problem:
When using the default xmms and esd with the Red Hat 8 distribution (versions
1:1.2.7-13.p and 1:0.2.28-1, respectively), the playlist occasionaly stops,
giving me an error dialog that it could not output audio. When I hit play,
everything works again for a while. This happens with varying frequency, but
it's normally about once an hour. I'm using the Gnome desktop, my soundcard is
an AC97 which is (i believe) using the i810 driver. I have a Dell Latitude C610
laptop. Here are the messages logged to /var/log/messages when the error occurs:

Dec 10 16:02:31 localhost modprobe: modprobe: Can't locate module sound-slot-1
Dec 10 16:02:31 localhost modprobe: modprobe: Can't locate module sound-service-1-0


How Reproducible:


Steps to Reproduce:
1. open xmms with a playlist
2. hit play

Actual Results:
Occasionally, play stops and I must close an error message

Expected Results:
It should play until I hit stop

Additional Information:
I have attached more of my /var/log/messages file which pertains to the loading
of the sound card driver on boot, as well as a screenshot of the error message.
Comment 1 Bill Mill 2002-12-10 16:32:26 EST
Created attachment 88304 [details]
error screenshot
Comment 2 Bill Mill 2002-12-10 16:35:17 EST
Created attachment 88305 [details]
soundcard detection messages in /var/log/messages
Comment 3 Bill Nottingham 2002-12-11 16:55:33 EST

*** This bug has been marked as a duplicate of 64069 ***
Comment 4 Need Real Name 2003-04-29 20:51:06 EDT
I had the same occasional problem.  I noticed that my esd was being started 
with the option "-as 2" (free audio device after 2 seconds inactivity) and I 
also noticed that my xmms defaulted to a pause of 2 seconds between tracks.  I 
thought there might be a conflict there, so I changed the esd option to "-as 5" 
in /etc/esd.conf and restarted esd.  Xmms has been running perfectly for me 
ever since, so it seems to have worked for me.  Hope this helps.

Note You need to log in before you can comment on or make changes to this bug.